`ShutdownHandler.java`
`01 /* 02 * Copyright 2010-2012 the original author or authors. 03 * 04 * Licensed under the Apache License, Version 2.0 (the "License"); 05 * you may not use this file except in compliance with the License. 06 * You may obtain a copy of the License at 07 * 08 * http://www.apache.org/licenses/LICENSE-2.0 09 * 10 * Unless required by applicable law or agreed to in writing, software 11 * distributed under the License is distributed on an "AS IS" BASIS, 12 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 13 * See the License for the specific language governing permissions and 14 * limitations under the License. 15 */ 16 package griffon.core; 17 18 /** 19 * A ShutdownHandler may prevent the application from exiting. 20 * 21 * @author Andres Almiray 22 * @since 0.3.1 23 */ 24 public interface ShutdownHandler { 25 /** 26 * Asks this handler if the application's shutdown sequence can proceed or not.<p> 27 * Return <tt>false</tt> if the shutdown sequence must be aborted. 28 * 29 * @param application the current running application 30 * @return true if the shutdown sequence can proceed, false otherwise 31 */ 32 boolean canShutdown(GriffonApplication application); 33 34 /** 35 * Called when the shutdown sequence continues 36 * 37 * @param application the current running application 38 */ 39 void onShutdown(GriffonApplication application); 40 }`